Kerbal Space Program - Bug #13394

Some parts do not have highlighting in the editor with particular settings
12/08/2016 09:42 PM - AlffromKerbal

Status: Closed Start date: 12/08/2016
Severity: Very Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.3.0

Version: 1.2.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

No highlighting of "EAS-4 Strut Connector" in VAB anymore when hovering mousepointer on initial placement location.

| understand that something got fixed about the "EAS-4 Strut Connector", seems highlighting got broken in the process.

History

#1 - 12/08/2016 09:56 PM - AlffromKerbal

Another issue about "EAS-4 Strut Connector".

Before update, i was able to point the second connection in opposite view of part i wanted to connect to and it connected at the first encounter of
material, which helped much in symetric orientation in VAB (i.e. 1st at center of rocket, second at outer booster). Now it doesn't place at click and you
have to look directly to the place where you want to place the second end of connector.

If my writing is unclear, i might add some visual explanation.

#2 - 12/12/2016 10:27 AM - sal_vager

- File screenshot190.png added

- Status changed from New to Need More Info

Hi AlffromKerbal, can you please add pictures to help explain your second point, and please retest the strut highlight with a new settings.cfg (rename
the old one or reset settings in the settings screen).

The struts highlight for me, pic attached.

#3 - 12/12/2016 11:23 AM - AlffromKerbal

- Status changed from Need More Info to Updated

- % Done changed from 0 to 10

| renamed .cfg, which didn't help. | made a fresh install and it worked, so i tried to narrow it down.

The cause is, i need both activated, Highlight FX and Anti-Aliasing there is no highlighted strut when one of them is deactivated (other parts are).

My second point seems resolved due to fresh install i think.

#4 - 12/12/2016 01:50 PM - AlffromKerbal
- File NoHighlighting.jpg added
| just realized, that this is not restricted to strut connector. | checked every single stock part and found some more:

PPD-12 Cupola Module, MK1 & MK2 Lander Can, MK1 & MK2-1 Command Pod, PDD10 Hitchhiker Storage Container, Mobile Processing Lab
MPL-LG-2.

Only edges are highlighted, this also happens to a docked asteroid.

I think, but cannot verify it anymore, that #13122 might have had the same issue before.
https://bugs.kerbalspaceprogram.com/issues/13122

[

#5 - 06/22/2017 06:26 AM - bewing
- File hilight.craft added

- Subject changed from "EAS-4 Strut Connector” doesn't have highlighting anymore since 1.2.2.1622 to Some parts do not have highlighting in the
editor with particular settings

- Severity changed from Unworthy to Very Low
- Platform Windows added

Confirmed the second issue on windows in 1.3.0. (The first issue -- struts -- work correctly now.)
Reproduction:

In Minisettings, turn off Highlight FX or Antialiasing.

Go into the VAB, load the attached "hilight" craft.

Hover the mouse over the MK3 cockpit.

Note: exactly the same parts have the highlighting problem as have the "ghosting" problem. So this is likely exactly the same issue.

#9 - 08/16/2017 12:48 AM - bewing
- Status changed from Updated to Ready to Test
- Target version set to 1.3.0

- % Done changed from 10 to 80

#10 - 10/13/2017 07:01 PM - AlffromKerbal
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100
Just tested with 1.3.1, seems all parts are highlighted now, related to shown problematic elements.

#11 - 10/14/2017 09:55 AM - Squelch

- Status changed from Resolved to Closed

Thanks for confirming the fix.
